CREATE TABLE CRST_FA_MASS_EXT_RET
(
  BATCH_NAME                     VARCHAR2(30 BYTE),
  MASS_EXTERNAL_RETIRE_ID        NUMBER(15),
  RETIREMENT_ID                  NUMBER(15),
  BOOK_TYPE_CODE                 VARCHAR2(15 BYTE),
  REVIEW_STATUS                  VARCHAR2(8 BYTE),
  ASSET_ID                       NUMBER,
  TRANSACTION_NAME               VARCHAR2(30 BYTE),
  DATE_RETIRED                   DATE,
  DATE_EFFECTIVE                 DATE,
  COST_RETIRED                   NUMBER,
  RETIREMENT_PRORATE_CONVENTION  VARCHAR2(10 BYTE),
  UNITS                          NUMBER,
  PERCENTAGE                     NUMBER,
  COST_OF_REMOVAL                NUMBER,
  PROCEEDS_OF_SALE               NUMBER,
  RETIREMENT_TYPE_CODE           VARCHAR2(15 BYTE),
  REFERENCE_NUM                  VARCHAR2(15 BYTE),
  SOLD_TO                        VARCHAR2(30 BYTE),
  TRADE_IN_ASSET_ID              NUMBER,
  CALC_GAIN_LOSS_FLAG            VARCHAR2(3 BYTE),
  STL_METHOD_CODE                VARCHAR2(12 BYTE),
  STL_LIFE_IN_MONTHS             NUMBER,
  STL_DEPRN_AMOUNT               NUMBER,
  CREATED_BY                     NUMBER(15),
  CREATION_DATE                  DATE,
  LAST_UPDATED_BY                NUMBER(15),
  LAST_UPDATE_DATE               DATE,
  LAST_UPDATE_LOGIN              NUMBER(15),
  TH_ATTRIBUTE_CATEGORY          VARCHAR2(30 BYTE),
  TH_ATTRIBUTE1                  VARCHAR2(150 BYTE),
  TH_ATTRIBUTE2                  VARCHAR2(150 BYTE),
  TH_ATTRIBUTE3                  VARCHAR2(150 BYTE),
  TH_ATTRIBUTE4                  VARCHAR2(150 BYTE),
  TH_ATTRIBUTE5                  VARCHAR2(150 BYTE),
  TH_ATTRIBUTE6                  VARCHAR2(150 BYTE),
  TH_ATTRIBUTE7                  VARCHAR2(150 BYTE),
  TH_ATTRIBUTE8                  VARCHAR2(150 BYTE),
  TH_ATTRIBUTE9                  VARCHAR2(150 BYTE),
  TH_ATTRIBUTE10                 VARCHAR2(150 BYTE),
  TH_ATTRIBUTE11                 VARCHAR2(150 BYTE),
  TH_ATTRIBUTE12                 VARCHAR2(150 BYTE),
  TH_ATTRIBUTE13                 VARCHAR2(150 BYTE),
  TH_ATTRIBUTE14                 VARCHAR2(150 BYTE),
  TH_ATTRIBUTE15                 VARCHAR2(150 BYTE),
  ATTRIBUTE_CATEGORY             VARCHAR2(30 BYTE),
  ATTRIBUTE1                     VARCHAR2(150 BYTE),
  ATTRIBUTE2                     VARCHAR2(150 BYTE),
  ATTRIBUTE3                     VARCHAR2(150 BYTE),
  ATTRIBUTE4                     VARCHAR2(150 BYTE),
  ATTRIBUTE5                     VARCHAR2(150 BYTE),
  ATTRIBUTE6                     VARCHAR2(150 BYTE),
  ATTRIBUTE7                     VARCHAR2(150 BYTE),
  ATTRIBUTE8                     VARCHAR2(150 BYTE),
  ATTRIBUTE9                     VARCHAR2(150 BYTE),
  ATTRIBUTE10                    VARCHAR2(150 BYTE),
  ATTRIBUTE11                    VARCHAR2(150 BYTE),
  ATTRIBUTE12                    VARCHAR2(150 BYTE),
  ATTRIBUTE13                    VARCHAR2(150 BYTE),
  ATTRIBUTE14                    VARCHAR2(150 BYTE),
  ATTRIBUTE15                    VARCHAR2(150 BYTE),
  DISTRIBUTION_ID                NUMBER(15),
  RETURN_TO_INVENTORY            VARCHAR2(15 BYTE),
  CODE_COMBINATION_ID            NUMBER(15),
  LOCATION_ID                    NUMBER(15),
  ASSIGNED_TO                    NUMBER(15),  
  DUMMY                          CHAR(1),
  CREATED_NAME					 VARCHAR2(100),
  LAST_UPDATED_NAME              VARCHAR2(100),
  CODE_COMBINATION_ID_D			 VARCHAR2(100)
);
